SDL_RenderClipEnabled(3)

NAME
SDL_RenderClipEnabled - Get whether clipping is enabled on the given render target.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderClipEnabled(SDL_Renderer *renderer);

DESCRIPTION
Each render target has its own clip rectangle. This function checks the cliprect for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderClipRect(3), SDL_SetRenderClipRect(3)